#### D.13.2.9 coneLink

Procedure from library `gfan.lib` (see gfan_lib).

Usage:
  coneLink(c,w); c cone, w intvec/bigintmat

Return:
  cone, the link of c around w

Example:

    LIB "gfan.lib";
    intmat M[3][3]=
    1,0,0,
    0,1,0,
    0,0,1;
    cone c=coneViaPoints(M);
    intvec v=1,0,0;
    cone cv=coneLink(c,v);
    rays(cv);
    ==> 0,1,0,
    ==> 0,0,1
    generatorsOfLinealitySpace(cv);
    ==> -1,0,0
    intvec w=1,1,1;
    cone cw=coneLink(c,w);
    rays(cw);
    ==>
    generatorsOfLinealitySpace(cw);
    ==> -1, 0, 0,
    ==>  0,-1, 0,
    ==>  0, 0,-1

User manual for Singular version 4.4.1, 2025, generated by texi2html.